Skip to main content
`Ctrl`+`K`

# PetscSectionCreateComponentSubsection

Create a new, smaller `PetscSection` composed of only selected components

## Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionCreateComponentSubsection(PetscSection s, PetscInt len, const PetscInt comps[], PetscSection *subs)

Collective

## Input Parameters

- s - the `PetscSection`

- len - the number of components

- comps - the component numbers

## Output Parameter

- subs - the subsection

## Notes

The chart of `subs` is the same as the chart of `s`

This will error if the section has more than one field, or if a component number is out of range

## See Also

PetscSection, `PetscSection`, `PetscSectionCreateSupersection()`, `PetscSectionCreate()`

## Level

advanced

## Location

src/vec/is/section/interface/section.c

Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages